<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: ehrhart_union.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>ehrhart_union.c File Reference</h1><code>#include &lt;stdio.h&gt;</code><br/>
<code>#include &lt;string.h&gt;</code><br/>
<code>#include &lt;stdlib.h&gt;</code><br/>
<code>#include &lt;unistd.h&gt;</code><br/>
<code>#include &lt;<a class="el" href="polylib_8h_source.html">polylib/polylib.h</a>&gt;</code><br/>

<p><a href="ehrhart__union_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ehrhart__union_8c.html#a98488386c7f643ebb5f2fb43891d4817">Union_Read</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> **P, <a class="el" href="structpolyhedron.html">Polyhedron</a> **C, const char ***param_name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ehrhart__union_8c.html#aba0cd13077be857cfb6da6abb5369e57">recurse</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *C, const char **param_name, <a class="el" href="struct__enumeration.html">Enumeration</a> *e, Value *pmin, Value *pmax, Value *<a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>, int l)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ehrhart__union_8c.html#a3c04138a5bfe5d72780bb7e82a18e627">main</a> (int argc, char **argv)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a3c04138a5bfe5d72780bb7e82a18e627"></a><!-- doxytag: member="ehrhart_union.c::main" ref="a3c04138a5bfe5d72780bb7e82a18e627" args="(int argc, char **argv)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&nbsp;</td>
          <td class="paramname"> <em>argv</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ehrhart__union_8c_source.html#l00144">144</a> of file <a class="el" href="ehrhart__union_8c_source.html">ehrhart_union.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00702">Domain_Enumerate()</a>, <a class="el" href="types_8h_source.html#l00207">_enumeration::EP</a>, <a class="el" href="types_8h_source.html#l00248">FOREVER</a>, <a class="el" href="types_8h_source.html#l00208">_enumeration::next</a>, <a class="el" href="vector_8c_source.html#l00760">p</a>, <a class="el" href="polyparam_8c_source.html#l01693">Print_Domain()</a>, <a class="el" href="ehrhart_8c_source.html#l00192">print_evalue()</a>, <a class="el" href="ehrhart__union_8c_source.html#l00112">recurse()</a>, <a class="el" href="polytest_8c_source.html#l00024">s</a>, <a class="el" href="ehrhart__union_8c_source.html#l00026">Union_Read()</a>, <a class="el" href="types_8h_source.html#l00206">_enumeration::ValidityDomain</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00463">value_read</a>.</p>

</div>
</div>
<a class="anchor" id="aba0cd13077be857cfb6da6abb5369e57"></a><!-- doxytag: member="ehrhart_union.c::recurse" ref="aba0cd13077be857cfb6da6abb5369e57" args="(Polyhedron *C, const char **param_name, Enumeration *e, Value *pmin, Value *pmax, Value *p, int l)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void recurse </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>C</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char **&nbsp;</td>
          <td class="paramname"> <em>param_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct__enumeration.html">Enumeration</a> *&nbsp;</td>
          <td class="paramname"> <em>e</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>pmin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>pmax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>l</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ehrhart__union_8c_source.html#l00112">112</a> of file <a class="el" href="ehrhart__union_8c_source.html">ehrhart_union.c</a>.</p>

<p>References <a class="el" href="eval__ehrhart_8c_source.html#l00158">compute_poly()</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00517">value_increment</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00482">value_le</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00464">value_print</a>.</p>

<p>Referenced by <a class="el" href="ehrhart__union_8c_source.html#l00144">main()</a>.</p>

</div>
</div>
<a class="anchor" id="a98488386c7f643ebb5f2fb43891d4817"></a><!-- doxytag: member="ehrhart_union.c::Union_Read" ref="a98488386c7f643ebb5f2fb43891d4817" args="(Polyhedron **P, Polyhedron **C, const char ***param_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Union_Read </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> **&nbsp;</td>
          <td class="paramname"> <em>P</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> **&nbsp;</td>
          <td class="paramname"> <em>C</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char ***&nbsp;</td>
          <td class="paramname"> <em>param_name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ehrhart__union_8c_source.html#l00026">26</a> of file <a class="el" href="ehrhart__union_8c_source.html">ehrhart_union.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="matrix_8c_source.html#l00203">Matrix_Read()</a>, <a class="el" href="matrix_8c_source.html#l00166">Matrix_Read_Input()</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, <a class="el" href="param_8c_source.html#l00031">Read_ParamNames()</a>, and <a class="el" href="polytest_8c_source.html#l00024">s</a>.</p>

<p>Referenced by <a class="el" href="ehrhart__union_8c_source.html#l00144">main()</a>.</p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:26 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
